package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DrpImportMaterialDTO {
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品名称")
   private String materialName;
   @ApiModelProperty("单位名称")
   private String unitName;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("含税单价")
   private String unitPrice;
   @ApiModelProperty("规格要求")
   private String size;
   @ApiModelProperty("备注")
   private String remark;

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getUnitPrice() {
      return this.unitPrice;
   }

   public String getSize() {
      return this.size;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setUnitPrice(final String unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

}
